Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2797 - talkd, ntalkd incorrectly run as root
Summary: talkd, ntalkd incorrectly run as root
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: netkit-base
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-13 21:01 UTC by Chris Evans
Modified: 2015-01-07 23:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-09 20:15:33 UTC


Attachments (Terms of Use)

Description Chris Evans 1999-05-13 21:01:07 UTC
Hi

in.ntalkd and in.talkd are launched from inetd.conf with
user field set to "root".

A very simple and obviously correct change can limit the
security damage a hole in either of these daemons will
cause.

In RedHat6.1, please change the "root" field to "talkd.tty".
Group tty is the only special privilege required. "talkd"
should be a new user who owns no files and has a null shell
in /etc/passwd. Don't use the overloaded user "nobody".

This should take someone about, ooh, 10 minutes :-)

Chris

------- Additional Comments From   06/17/99 21:28 -------
i believe theres also a spelling error. waut instead of wait.

Comment 1 Jeff Johnson 1999-08-09 20:09:59 UTC
Fixed in netkit-base-0.10-33.

Comment 2 Jeff Johnson 1999-08-09 20:15:59 UTC
Um, using the overloaded nobody.


Note You need to log in before you can comment on or make changes to this bug.